package de.firstdata.ipg.api.client.transaction.creditcard;

import de.firstdata.ipg.api.client.transaction.creditcard.setter.InstallmentSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.Secure3DSetter;
import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.client.transaction.setter.PaymentSetter;
import de.firstdata.ipg.api.client.transaction.setter.ShippingSetter;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;
import de.firstdata.ipg.api.schema.CardAccountType;
import de.firstdata.ipg.api.schema.CardFunctionType;

public interface CCForceTicketTransaction
		extends CCTransaction, BasketSetter, BillingSetter, InstallmentSetter, PaymentSetter, Secure3DSetter, ShippingSetter, TransactionDetailsSetter {

	void setTerminalID(final String terminalID);

	void setCardFunction(CardFunctionType cardFunction);

	void setCardAccount(final CardAccountType cardAccount);
}
