package de.firstdata.ipg.api.client.transaction.setter;

import de.firstdata.ipg.api.client.transaction.Amount;

/**
 * Setter for DCC related properties, which are located in
 * TransactionDetails.InquiryRateReference.
 */
public interface InquiryRateReferenceSetter {

	void setDccApplied(final boolean dccApplied);

	void setInquiryRateId(final long inquiryRateId);

	void setForeignAmount(final Amount amount);
}
