package de.firstdata.ipg.api.client.transaction.setter;

public interface ShippingSetter {

	/**
	 * sets the carrier
	 *
	 * @param carrier
	 *            the carrier
	 */
	@Deprecated
	void setType(final String type);

	/**
	 * sets the name of the shipping address
	 *
	 * @param name
	 *            the name
	 */
	void setShippingAddressName(final String name);

	/**
	 * sets the first line of the address
	 *
	 * @param address1
	 *            the first line of the address
	 */
	void setShippingAddress1(final String address1);

	/**
	 * sets the second line of the address
	 *
	 * @param address2
	 *            the second line of the address
	 */
	void setShippingAddress2(final String address2);

	/**
	 * sets the city
	 *
	 * @param city
	 *            the city
	 */
	void setShippingAddressCity(final String city);

	/**
	 * sets the state
	 *
	 * @param state
	 *            the state
	 */
	void setShippingAddressState(final String state);

	/**
	 * sets the zip code
	 *
	 * @param zip
	 *            the zip code
	 */
	void setShippingAddressZip(final String zip);

	/**
	 * sets the country
	 *
	 * @param country
	 *            the country
	 */
	void setShippingAddressCountry(final String country);
}
