package de.firstdata.ipg.api.client.transaction.wechat.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.wechat.WeChatReturnTransaction;

public final class WeChatReturnTransactionObject extends WeChatTransactionObject implements WeChatReturnTransaction {

	private static final String RETURN = "return";

	public WeChatReturnTransactionObject(final Amount amount, final String orderId) {
		super(amount, orderId);
	}

	@Override
	public String getType() {
		return RETURN;
	}
}
