package de.firstdata.ipg.api.client.action.datastorage;

import de.firstdata.ipg.api.client.transaction.creditcard.CreditCard;
import de.firstdata.ipg.api.client.transaction.dedirectdebit.DEDirectDebit;
import de.firstdata.ipg.api.schema.CardFunctionType;
import de.firstdata.ipg.api.schema.TokenType;

public interface StoreHostedData extends HostedData {

	void add(final String hostedDataID, final CreditCard creditCard);

	void add(final String hostedDataID, final CreditCard creditCard, final CardFunctionType cardFunction);

	void add(final String hostedDataID, final CreditCard creditCard, final boolean declineHostedDataDuplicates);

	void add(final String hostedDataID, final CreditCard creditCard, final boolean declineHostedDataDuplicates, final CardFunctionType cardFunction);

	void add(final String hostedDataID, final DEDirectDebit account, final String billingName);

	void add(final String hostedDataID, final DEDirectDebit account, final boolean declineHostedDataDuplicates);

	void add(final String hostedDataID, final String orderID);

	void add(final String hostedDataID, final String orderID, final boolean declineHostedDataDuplicates);

	void add(final String hostedDataID, final CreditCard creditCard, final TokenType tokenType, final Boolean assignToken);

	void add(final String hostedDataID, final CreditCard creditCard, final boolean declineHostedDataDuplicates, final TokenType tokenType,
			final Boolean assignToken);

	void add(final String hostedDataID, final CreditCard creditCard, final boolean declineHostedDataDuplicates, final TokenType tokenType,
			final Boolean assignToken, final CardFunctionType cardFunction);

	void add(final String hostedDataID, final DEDirectDebit account, final TokenType tokenType, final Boolean assignToken);

	void add(final String hostedDataID, final DEDirectDebit account, final boolean declineHostedDataDuplicates, final TokenType tokenType,
			final Boolean assignToken);

	void add(final String hostedDataID, final String orderID, final TokenType tokenType, final Boolean assignToken);

	void add(final String hostedDataID, final String orderID, final boolean declineHostedDataDuplicates, final TokenType tokenType, final Boolean assignToken);

	void add(final String hostedDataID, final DEDirectDebit account, final TokenType tokenType, final Boolean assignToken, final String billingName);
}
