package de.firstdata.ipg.api.client.transaction;

import java.util.Locale;

public interface IPGApiTransaction {

	void setStoreId(final String storeId);

	void setComments(final String comment);

	void setClientLocale(final Locale locale);

	void setMerchantTransactionId(final String merchantTransactionId);

	void setReferencedMerchantTransactionId(final String referencedMerchantTransactionId);

	void setIpgTransactionId(final Long ipgTransactionId);

	/**
	 *
	 * @return the type of this transaction
	 */
	String getType();

	String getStore();
}
